__all__ = ['run_gui']

def run_gui(qtorrent):
	from mainwin import USE_KDE, MainWin
	from thread import start_new_thread
	import sys
	if USE_KDE:
		from kdecore import KApplication
		app = KApplication([sys.argv[0]], 'QTorrent')
	else:
		from qt import QApplication
		app = QApplication([sys.argv[0]])
	
	win = MainWin(qtorrent)
	app.setMainWidget(win)
	
	def run():
		def run_():
			win.show()
			app.exec_loop()
			qtorrent.shutdown()
		start_new_thread(run_, ())
	return win, run

